## oxide-qt 1.9.5

=== debian/changelog ===
oxide-qt (1.9.5-0ubuntu1) wily; urgency=medium

  * Update to v1.9.5 (see USN-2757-1)
    - Bump Chromium rev to 45.0.2454.101
    - Fix LP: #1498953 - Reduce the limit for discardable memory on mobile

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Sep 2015 19:02:43 +0100

oxide-qt (1.9.2-0ubuntu1) wily; urgency=medium

  * Update to v1.9.2
    - Fix LP: #1447311 - Disable the unprivileged namespace sandbox

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Sep 2015 09:57:32 +0100

oxide-qt (1.9.1-0ubuntu1) wily; urgency=medium

  * Update to v1.9.1 (see USN-2735-1)
    - Bump Chromium rev to 45.0.2454.85
    - Fix LP: #1459392 - Cannot select text with the mouse pointer
    - Fix LP: #1337369 - Expose user agent as part of downloadRequest
    - Fix LP: #1336611 - Gmail attachments on Touch contain an empty mime-type
      when signaled from onDownloadRequested
    - Fix LP: #1461600 - Refinements to media permissions API
    - Fix LP: #1462057 - Change Oxide.available{Audio,Video}CaptureDevices() in
      to a notifiable property
    - Fix LP: #1428754 - Persist permission request decisions for a session
    - Fix LP: #1464159 - Web browser should send the system language to
      websites (Accept-Language field)
    - Fix LP: #1445673 - Shouldn't be able to pass QObjects to
      WebContextDelegateWorker
    - Fix LP: #1465517 - qml-api-test::WebView_save_restore_state broken
    - Fix LP: #1457458 - "No suitable EGL configs found" on desktop-next
    - Fix LP: #1410753 - Implement a new API for overriding the user agent
      string
    - Fix LP: #1350914 - Cache override lookup's for navigator.userAgent on the
      renderer side
    - Fix LP: #1469139 - OxideMsg_SetUserAgent should be sent from inside
      content::NOTIFICATION_RENDERER_PROCESS_CREATED
    - Fix LP: #1422339 - Missing API to wire in basic access authentication
    - Fix LP: #1453294 - Expose some classes as value types to QML
    - Fix LP: #1178002 - Implement Do Not Track
    - Fix LP: #1328494 - [unity7] Disable screensaver while a video is playing
    - Fix LP: #1477760 - Crash when clicking a link in desktop G+
    - Overhaul of the content script messaging implementation
    - Make it possible to change devtools settings after constructing WebContext
    - Build ffmpeg as a shared library again
    - Load V8 natives in to the browser process so that single-process works
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 04 Sep 2015 12:33:55 +0100

oxide-qt (1.8.4-0ubuntu1) wily; urgency=medium

  * Update to v1.8.4 (see USN-2677-1)
    - Bump Chromium rev to 44.0.2403.89
    - Fix LP: #1301419 - Add clipboard integration
    - Fix LP: #1326070 - Add support for context menus
    - Fix LP: #1375272 - Add WebView.webProcessStatus API so that embedders
      can be notified of render process crashes
    - Fix LP: #1410996 - Add WebView.mediaAccessPermissionRequested API
    - Fix LP: #1456267 - Flush profile data before the application is suspended
      by lifecycle management. Fixes an issue where Cut the Rope game state
      is not saved in some cases
    - Fix LP: #1244335 - Add LoadEvent.httpStatusCode API
    - Fix LP: #1312260 - Add WebView.findController API for find-in-page
      functionality
    - Fix LP: #1408267 - Discard OTR BrowserContexts when not in use. This
      means we now discard the in-memory profile when the browser exits private
      browsing mode
    - Fix LP: #1445585 - Drop workarounds for the old browser header bar
    - Fix LP: #1446831 - Include the resources necessary for chrome://tracing/
      to work
    - Fix LP: #1455128 - Clear the gesture pipeline when navigating between
      pages
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Jul 2015 18:12:44 +0100

oxide-qt (1.7.9-0ubuntu1) wily; urgency=medium

  * Update to v1.7.9
    - see USN-2652-1
    - Bump Chromium rev to 43.0.2357.130

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 23 Jun 2015 16:16:08 +0100

oxide-qt (1.7.8-0ubuntu1) wily; urgency=medium

  * Update to v1.7.8
    - see USN-2610-1
    - Bump Chromium rev to 43.0.2357.65
    - Fix LP: #1452407 - Shutdown abort due to BrowserContext leak
    - Fix LP: #1449660 - Shutdown deadlock due to a race condition in
      WebContentsUnloader
    - Fix LP: #1435831 - Support EGLImage compositing path
    - Fix LP: #1435835 - Improve synchronization between webview and UI
      compositors
    - Fix LP: #1422408 - Enable accelerated canvas on Arale
    - Fix LP: #1426567 - Enable pinch-viewport on desktop
    - Fix LP: #1439829 - Select the correct GL platform when the Qt platform
      is "mirserver"
    - Fix LP: #1399195 - Improve network callback event tests
    - Fix LP: #1415662 - Cancelling a network request in onBeforeRedirect has
      no effect
    - Fix LP: #1422920 - Add LocationBarController.show(),
      LocationBarController.hide() and LocationBarController.animated
    - Fix LP: #1433472 - navigator.language doesn't work
    - Fix LP: #1435418 - Clean up the classes related to the private interfaces
      between the core library and the QtQuick library, making it more obvious
      where code should live
    - Fix LP: #1438902 - Enable webgl on mako
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
    - Use the simple backend for the network cache
    - Add EGLFS QPA support
    - Fix cross-compiling armhf builds on x86
    - Fix LP: #1442398 - Invalid read in CompositorOutputSurfaceGL
    - Fix LP: #1442458 - Minimum page scale shouldn't be 1 on mobile
      form-factors
    - Fix LP: #1400372 - Keyboard re-appears in webbrowser after dismissing
    - Fix LP: #1429135 - webbrowser-app crashed with SIGSEGV in
      XQueryExtension() on Unity 8 desktop
    - Fix LP: #1411159 - Proper fix for shutdown crash in

