## oxide-qt 1.12.5

=== debian/changelog ===
oxide-qt (1.12.5-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.12.5 (see USN-2877-1)
    - Bump Chromium rev to 48.0.2564.82
    - Fix LP: #1376268 - Add TouchSelectionController and
      WebView.editingCapabilites APIs 
    - Fix LP: #1441465 - Add camera implementation for phone that uses
      the compatibility layer in Ubuntu's libhybris
    - Fix LP: #1508972 - Can't enumerate cameras on the phone
    - Fix LP: #1490014 - (PPAPI Flash) Implement missing PPB_Flash functions
    - Fix LP: #1490016 - (PPAPI Flash) Implement PPB_Fullscreen
    - Fix LP: #1490017 - (PPAPI Flash) Implement PPB_Flash_FontFile
    - Fix LP: #1499479 - Reduce the size of the Skia font cache on mobile
    - Fix LP: #1499775 - It's difficult to see where a link will send you
      before clicking on it. Add WebView.hoveredUrl property
    - Fix LP: #1504853 - Certificate errors in the browser are confusing -
      have the WebView navigate to a placeholder transient page when the
      browser displays the certificate error UI. This fixes several issues
      where the addressbar and back button didn't behave consistently in some
      cases
    - Fix LP: #1509384 - (PPAPI Flash) Flash plugin isn't always detected
      by BBC iPlayer. Ensure we load the plugin metadata so that
      navigator.plugins has the correct info
    - Fix LP: #1509433 - (PPAPI Flash) Enable the Flash plugin by default
      when it's installed
    - Fix LP: #1509875 - (PPAPI Flash) Browser addressbar is visible when Flash
      content is fullscreen because LocationBarController doesn't work. Always
      hide the addressbar in this case
    - Fix LP: #1510508 - (PPAPI Flash) Layout and input events messed up when
      using Flash in fullscreen. The Flash plugin expects the view size to be
      updated synchronously when transitioning to fullscreen, so add a hack for
      this (Chrome already does this too)
    - Fix LP: #1510679 - (PPAPI Flash) Transitioning Flash content to
      fullscreen sometimes shows the wrong content
    - Fix LP: #1510949 - (PPAPI Flash) Applications cannot cancel fullscreen
      Flash
    - Fix LP: #1510973 - (PPAPI Flash) Ensure we cancel a fullscreen request
      from Flash is the application doesn't grant fullscreen by setting
      WebView.fullscreen to true
    - Fix LP: #1517955 - Enable NEON unconditionally. Support for non-NEON
      builds in Chromium has been broken for ages, and the default (optional
      NEON with runtime detection) only works on Android without additional
      patches to make the detection work on non-Android builds. Given that
      upstream are planning enable NEON unconditionally and drop support for
      other configurations in the future, let's just do this now as it enables
      us to stop patching webrtc
    - Fix LP: #1518358 - Text selection is not greyed out when the window
      loses focus
    - Fix LP: #1341565 - Should include plugin typeinfo (plugins.qmltypes)
    - Fix LP: #1408109 - Remove StoragePermissionRequest. This was never
      completed, has never been tested, isn't used anywhere and is going to
      get in the way of site settings
    - Fix LP: #1510503 - WebView.fullscreenRequested shouldn't fire if
      fullscreen is already granted
    - Fix LP: #1510506 - (PPAPI Flash) NOTIMPLEMENTED() hit in WebContentsView
      when using Flash fullscreen

  * Build-depend on libandroid-properties-dev on all architectures
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jan 2016 13:13:00 +0000

oxide-qt (1.11.4-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.11.4
    - see USN-2860-1
    - Bump Chromium rev to 47.0.2526.106

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 11:16:45 +0000

oxide-qt (1.11.3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.11.3
    - See USN-2825-1
    - Bump Chromium rev to 47.0.2526.73
    - Fix LP: #1470268 - Implement a ResourceThrottle based navigation
      intercept, and stop using an unsupported navigation path in Chromium
      to do this
    - Fix LP: #1421423 - Don't crash when we receive unhandled key events
      without an OS event
    - Fix LP: #1506672 - Link with --gc-sections in all build configurations
      to work around a code architecture issue
    - Fix LP: #1326113 - Initial support for the Flash PPAPI plugin (off by
      default)
    - Fix LP: #1500510 - Add support for HTML notifications using libnotify
    - Fix LP: #1486645 - Use the application name for the token used to
      request access to the microphone
    - Fix LP: #1433508 - Previous favicon displayed when navigating to a file
      URL, or any URL that doesn't have a concept of a default favicon (ie,
      non-HTTP URLs)
    - Fix LP: #1302740 - WebView.navigationRequested isn't emitted for
      new-window navigations when WebView.newViewRequested isn't implemented
    - Fix LP: #1470190 - Refactor how some classes are constructed to make
      things more consistent
    - Fix LP: #1501473 - Disable smooth scrolling to work around scrolling
      issues
    - Fix LP: #1505048 - Update for changes to base::RepeatingTimer
    - Fix LP: #1522830 - Build shouldn't pull in resources from //chrome
  * Add build-depends on libnotify-dev and libgdk-pixbuf2.0-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 02 Dec 2015 22:54:32 +0000

oxide-qt (1.10.3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.10.3 (see USN-2770-1)
    - Bump Chromium rev to 46.0.2490.71
    - When calling WebView.goBack or WebView.goForward, test that the state
      of canGo{Forward,Back} is updated immediately
    - Update media permission tests to use https, now that media capture
      requires it
    - Disable Blink features that don't work or aren't implemented in Oxide
      (page popups and ContentUtils)
    - Stop piggy-backing on to cc::CompositorFrame for passing information

