=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
     libxrender-dev,
     libkrb5-dev,
     libssl-dev,
+    libgdk-pixbuf2.0-dev,
+    libnotify-dev,
     gperf,
     bison,
     xvfb,
@@ -44,7 +46,7 @@
     libxrandr-dev,
     libxtst-dev,
     libmedia-hub-dev [armhf],
-    libandroid-properties-dev [armhf]
+    libandroid-properties-dev
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/oxide
